--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas3/mptsas3_smhba.c	2014-06-12 17:42:17.480194710 +0100
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas3/mptsas3_smhba.c	2014-06-12 17:42:17.486244539 +0100
@@ -22,9 +22,10 @@
 /*
  * Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2013 Nexenta Systems, Inc. All rights reserved.
+ * Copyright (c) 2014, Tegile Systems Inc. All rights reserved.
  */
 /*
- * This file contains SM-HBA support for MPT SAS driver
+ * This file contains SM-HBA support for MPT SAS3 driver
  */
 
 #if defined(lint) || defined(DEBUG)
@@ -41,19 +42,19 @@
 #include <sys/scsi/impl/scsi_sas.h>
 
 #pragma pack(1)
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2_type.h>
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2.h>
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2_cnfg.h>
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2_init.h>
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2_ioc.h>
-#include <sys/scsi/adapters/mpt_sas/mpi/mpi2_sas.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2_type.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2_cnfg.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2_init.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2_ioc.h>
+#include <sys/scsi/adapters/mpt_sas3/mpi/mpi2_sas.h>
 #pragma pack()
 
 /*
  * private header files.
  */
-#include <sys/scsi/adapters/mpt_sas/mptsas_var.h>
-#include <sys/scsi/adapters/mpt_sas/mptsas_smhba.h>
+#include <sys/scsi/adapters/mpt_sas3/mptsas3_var.h>
+#include <sys/scsi/adapters/mpt_sas3/mptsas3_smhba.h>
 
 /*
  * SM - HBA statics
@@ -331,7 +332,7 @@
 			    (longlong_t)mpt->un.m_base_wwid,
 			    ddi_get_instance(dip), i);
 
-			phyp->phy_stats = kstat_create("mptsas",
+			phyp->phy_stats = kstat_create("mptsas3",
 			    ddi_get_instance(dip), ks_name, KSTAT_SAS_PHY_CLASS,
 			    KSTAT_TYPE_NAMED, ndata, 0);
 
